# Class MolecularOrbital

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.MeshCollection
org.jmol.shapesurface.Isosurface
org.jmol.shapesurface.MolecularOrbital

All Implemented Interfaces:
  `MeshDataServer, VertexDataServer`

Direct Known Subclasses:
  `NBO`

public class MolecularOrbital extends Isosurface

## Field Summary

### Fields inherited from class Isosurface

`iHaveBitSets, isomeshes, keyXy, sg, thisMesh`

### Fields inherited from class MeshCollection

`bsDisplay, colix, color, connections, currentMesh, displayWithinDistance2, displayWithinPoints, explicitID, htObjects, isDisplayWithinNot, isFixed, jvxlData, linkedMesh, meshCount, meshes, modelIndex, nUnnamed, pickedMesh, pickedModel, pickedPt, pickedVertex, PREVIOUS_MESH_ID, previousMeshID, title`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`MolecularOrbital()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`clearSg()`
`String`
`getMoInfo(int modelIndex)`
`Object`
`getProperty(String propertyName, int index)`
`String`
`getShapeState()`
`void`
`initShape()`
`void`
`merge(MeshCollection shape)`
called by ParallelProcessor at completion
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class Isosurface

`addMeshInfo, addRequiredFile, addTriangleCheck, addVertexCopy, allocMesh, calculateGeodesicSurface, checkObjectClicked, checkObjectHovered, discardTempData, fillMeshData, getCapSlabInfo, getCmd, getPlane, getPolygonColorData, getPropertyData, getPropI, getShapeDetail, getSurfacePointIndexAndFraction, getValue, getValues, getVertices, invalidateTriangles, newSg, notifySurfaceGenerationCompleted, notifySurfaceMappingCompleted, setOutputChannel, setPropI, setRequiredFile, setScriptInfo, slabPolygons`

### Methods inherited from class MeshCollection

`checkExplicit, clean, deleteMeshI, deleteMeshKey, getIndexFromName, getMesh, getMeshList, getPickedPoint, getPropDataMC, getPropMC, resetObjects, setMeshColor, setModelVisibilityFlags, setPropMC, setStatusPicked, setTitle, setTokenProperty`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MolecularOrbital

public MolecularOrbital()

## Method Details

### initShape

public void initShape()

Overrides:
  `initShape` in class `Isosurface`

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Overrides:
  `setProperty` in class `Isosurface`

### getProperty

public Object getProperty(String propertyName, int index)

Overrides:
  `getProperty` in class `Isosurface`
Parameters:
  `propertyName` -
  `index` -
Returns:
  true if serviced

### getMoInfo

public String getMoInfo(int modelIndex)

### clearSg

protected void clearSg()

Overrides:
  `clearSg` in class `Isosurface`

### getShapeState

public String getShapeState()

Overrides:
  `getShapeState` in class `Isosurface`

### merge

public void merge(MeshCollection shape)
Description copied from class: `MeshCollection`
called by ParallelProcessor at completion

Overrides:
  `merge` in class `MeshCollection`
Parameters:
  `shape` -